Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/SelectDirectoryWidget.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/SelectDirectoryWidget.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/SelectDirectoryWidget.java	(revision 3445)
@@ -11,6 +11,7 @@
 import org.eclipse.swt.widgets.DirectoryDialog;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
+import org.txm.rcp.messages.TXMUIMessages;
 
 /**
  * Composite to select a directory:
@@ -26,7 +27,7 @@
 	String path;
 	
 	public SelectDirectoryWidget(Composite parent, int style, String initialDefault, String label) {
-		super(parent, style, "CGU");
+		super(parent, style, "Select Directory"); //$NON-NLS-1$
 		this.path = initialDefault;
 		
 		this.getLayout().numColumns = 2;
@@ -57,7 +58,7 @@
 			public void widgetSelected(SelectionEvent e) {
 				
 				DirectoryDialog dialog = new DirectoryDialog(e.display.getActiveShell());
-				dialog.setMessage("Select working directory");
+				dialog.setMessage(TXMUIMessages.SelectADirectory);
 				dialog.setText(t.getText());
 				String tpath = dialog.open();
 				if (tpath != null) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3445)
@@ -236,16 +236,16 @@
 						}
 						
 						// CREATE THE CLOSE CONTROL FILE
-						if (new File("txm_was_not_closed_correctly.lock").exists()) { // the close control file was not deleted
+						if (new File("txm_was_not_closed_correctly.lock").exists()) { // the close control file was not deleted //$NON-NLS-1$
 							
-							File checkupResultFile = new File("startup_diagnostic_"+Toolbox.dateformat.format(new Date())+".txt");
+							File checkupResultFile = new File("startup_diagnostic_"+Toolbox.dateformat.format(new Date())+".txt"); //$NON-NLS-1$ //$NON-NLS-2$
 							this.syncExec(new Runnable() {
 								@Override
 								public void run() {
 									int choice = MessageDialog.open(MessageDialog.QUESTION_WITH_CANCEL, Display.getDefault().getActiveShell(),
-											"TXM was not correctly stopped", 
-											NLS.bind("Do you want to start a diagnostic of your corpora?\n\n(the diagnostic will be saved in the ''{0}'' file, the path will be copied in the clipboard)", checkupResultFile)
-											, SWT.NONE, new String[] {"Cancel", "OK", "OK, open the diagnostic file"});
+											TXMUIMessages.TXMWasNotCorrectlyStopped, 
+											NLS.bind(TXMUIMessages.DoYouWantToStartADiagnosticOfYourCorporaEtc, checkupResultFile)
+											, SWT.NONE, new String[] {TXMUIMessages.Cancel, TXMUIMessages.OK, TXMUIMessages.OKOpenTheDiagnosticFile});
 									
 									if (choice != 0) {
 										Toolbox.writeStartupCorporaDiagnostics(checkupResultFile);
@@ -257,9 +257,9 @@
 									
 								}
 							});
-							new File("txm_was_not_closed_correctly.lock").delete();
+							new File("txm_was_not_closed_correctly.lock").delete(); //$NON-NLS-1$
 						}
-						new File("txm_was_not_closed_correctly.lock").createNewFile();
+						new File("txm_was_not_closed_correctly.lock").createNewFile(); //$NON-NLS-1$
 						
 						Log.info(TXMUIMessages.info_txmIsReady);
 						monitor.done();
@@ -322,7 +322,7 @@
 	
 	public static String getTXMVersion() {
 		Version version = Activator.getDefault().getBundle().getVersion();
-		return version.getMajor() + "." + version.getMinor() + "." + version.getMicro();
+		return version.getMajor() + "." + version.getMinor() + "." + version.getMicro(); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	public static String getTXMVersionPrettyString() {
@@ -335,11 +335,11 @@
 		
 		if (txm_date.equals(build_date)) {
 			return (NLS.bind(TXMUIMessages.prettyVersionP0P1,
-					version.getMajor() + "." + version.getMinor() + "." + version.getMicro(), build_date));
+					version.getMajor() + "." + version.getMinor() + "." + version.getMicro(), build_date)); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		else {
 			return (NLS.bind(TXMUIMessages.prettyVersionP0P1,
-					version.getMajor() + "." + version.getMinor() + "." + version.getMicro(), "install " + build_date + " - update " + txm_date));
+					version.getMajor() + "." + version.getMinor() + "." + version.getMicro(), "install " + build_date + " - update " + txm_date)); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		}
 	}
 	
@@ -352,20 +352,20 @@
 			File installDirectory = new File(path);
 			// println "installDirectory=$installDirectory"
 			if (installDirectory.exists()) {
-				File artifacts = new File(installDirectory, "p2/org.eclipse.equinox.p2.core/cache/artifacts.xml");
+				File artifacts = new File(installDirectory, "p2/org.eclipse.equinox.p2.core/cache/artifacts.xml"); //$NON-NLS-1$
 				// println "artifacts=$artifacts"
 				if (artifacts.exists() && artifacts.canRead()) {
 					try {
 						String content = IOUtils.getText(artifacts);
-						String ARTIFACT = "<artifact classifier='binary' id='org.txm.rcp.app_root";
+						String ARTIFACT = "<artifact classifier='binary' id='org.txm.rcp.app_root"; //$NON-NLS-1$
 						int start = content.indexOf(ARTIFACT);
 						// println "start=$start"
 						if (start > 0) {
-							String VERSION = "version='";
+							String VERSION = "version='"; //$NON-NLS-1$
 							int versionStart = content.indexOf(VERSION, start + ARTIFACT.length());
 							// println "versionStart=$versionStart"
 							if (versionStart > 0) {
-								int versionEnd = content.indexOf("'", versionStart + VERSION.length());
+								int versionEnd = content.indexOf("'", versionStart + VERSION.length()); //$NON-NLS-1$
 								if (versionEnd > 0) {
 									version = content.substring(versionStart + VERSION.length(), versionEnd);
 									// System.out.println("VERSION="+version);
@@ -395,7 +395,7 @@
 	
 	public static String getUpdateDate() {
 		Version version = Activator.getDefault().getBundle().getVersion();
-		return version.getQualifier().replaceAll("(....)(..)(..)(..)(..)", "$1-$2-$3 $4h$5");
+		return version.getQualifier().replaceAll("(....)(..)(..)(..)(..)", "$1-$2-$3 $4h$5"); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	private void setPreferencesConfiguration() {
@@ -550,7 +550,7 @@
 		
 		callStopScript();
 		
-		new File("txm_was_not_closed_correctly.lock").delete();
+		new File("txm_was_not_closed_correctly.lock").delete(); //$NON-NLS-1$
 	}
 	
 	/**
@@ -874,7 +874,7 @@
 		}
 		corporaDir = new File(txmhomedir, "corpora"); //$NON-NLS-1$
 		
-		String previousVersions[] = { "0.8.1", "0.8.0", "0.7.9" };
+		String previousVersions[] = { "0.8.1", "0.8.0", "0.7.9" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		String previousVersionLabels[] = new String[previousVersions.length];
 		File previousVersionCorporaDirectories[] = new File[previousVersions.length];
 		
@@ -883,18 +883,18 @@
 			
 			previousVersionLabels[i] = TXMUIMessages.bind(TXMUIMessages.corporaOfPreviousTXMP0, v);
 			
-			File dir = new File(System.getProperty("user.home"), "TXM-" + v + "/corpora");
-			if ("0.7.9".equals(v)) {
-				dir = new File(System.getProperty("user.home"), "TXM/corpora");
+			File dir = new File(System.getProperty("user.home"), "TXM-" + v + "/corpora"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			if ("0.7.9".equals(v)) { //$NON-NLS-1$
+				dir = new File(System.getProperty("user.home"), "TXM/corpora"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			previousVersionCorporaDirectories[i] = dir;
 		}
 		
 		Version v = Activator.getDefault().getBundle().getVersion();
 		String vv = v.getMajor() + "." + v.getMinor() + "." + v.getMicro(); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
-		String SAMPLES = "1. " + TXMUIMessages.bind(TXMUIMessages.sampleCorporaOfCurrentTXMP0, vv);
+		String SAMPLES = "1. " + TXMUIMessages.bind(TXMUIMessages.sampleCorporaOfCurrentTXMP0, vv); //$NON-NLS-1$
 		int n = 2;
-		String vCURRENT = "2. " + TXMUIMessages.bind(TXMUIMessages.corporaOfPreviousTXMP0, vv);
+		String vCURRENT = "2. " + TXMUIMessages.bind(TXMUIMessages.corporaOfPreviousTXMP0, vv); //$NON-NLS-1$
 		
 		
 		final ArrayList<Object> selectedCorporaDirs = new ArrayList<>();
@@ -908,11 +908,11 @@
 		for (int i = 0; i < previousVersions.length; i++) {
 			if (previousVersionCorporaDirectories[i].exists()
 					&& previousVersionCorporaDirectories[i].listFiles(IOUtils.HIDDENFILE_FILTER).length > 0) {
-				selectedCorporaDirs.add("" + (n++) + ". " + previousVersionLabels[i]);
+				selectedCorporaDirs.add("" + (n++) + ". " + previousVersionLabels[i]); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 		
-		String OTHER = "" + (n++) + ". " + TXMUIMessages.selectAnotherTXMCorporaToRestore;
+		String OTHER = "" + (n++) + ". " + TXMUIMessages.selectAnotherTXMCorporaToRestore; //$NON-NLS-1$ //$NON-NLS-2$
 		selectedCorporaDirs.add(OTHER);
 		
 		final ArrayList<Object> initialSelectionCorporaDirs = new ArrayList<>();
@@ -1236,14 +1236,14 @@
 
 	public static String getVersionLevel() {
 		try {
-			URL url = Activator.getDefault().getBundle().getResource("SUBVERSION");
-			String subversion = IOUtils.getText(url, "UTF-8");
+			URL url = Activator.getDefault().getBundle().getResource("SUBVERSION"); //$NON-NLS-1$
+			String subversion = IOUtils.getText(url, "UTF-8"); //$NON-NLS-1$
 			return subversion;
 		}
 		catch (IOException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
-		return "STABLE";
+		return "STABLE"; //$NON-NLS-1$
 	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/CorporaSourceProvider.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/CorporaSourceProvider.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/CorporaSourceProvider.java	(revision 3445)
@@ -10,7 +10,7 @@
 
 public class CorporaSourceProvider extends AbstractSourceProvider {
 	
-	public static final String NAME = "corporaSelection";
+	public static final String NAME = "corporaSelection"; //$NON-NLS-1$
 	public static final String[] NAMES = {NAME};
 	HashMap<String, ISelection> currentState = new HashMap<String, ISelection>();
 	
@@ -29,7 +29,7 @@
 		if (instance != null) {
 			instance.currentState.put(NAME, selection);
 			instance.fireSourceChanged(1, NAME, selection);
-			Log.fine("UPDATE SOURCE: "+selection);
+			Log.fine("UPDATE SOURCE: "+selection); //$NON-NLS-1$
 		}
 	}
 	
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 3445)
@@ -99,16 +99,16 @@
 		// in Release mode only : platform workspace selection on startup
 		// then restart if needed (on workspace error...)
 		
-		System.out.println("instance location=" + Platform.getInstanceLocation().getURL());
+		System.out.println("instance location=" + Platform.getInstanceLocation().getURL()); //$NON-NLS-1$
 		if (Platform.getInstanceLocation().getURL() == null) {
 			
 			Integer ret = openCGU();
 			if (ret == IApplication.EXIT_RESTART) {
-				System.out.println("** Working directory set by user.");
+				System.out.println("** Working directory set by user."); //$NON-NLS-1$
 				return IApplication.EXIT_RESTART;
 			}
 			else if (ret == IApplication.EXIT_OK) {
-				System.out.println("** Fail to open CGU or set working directory.");
+				System.out.println("** Fail to open CGU or set working directory."); //$NON-NLS-1$
 				return IApplication.EXIT_OK; // an error occurred or user canceled
 			}
 			else {
@@ -120,24 +120,24 @@
 		// ---------------------------
 		
 		if (Platform.getInstanceLocation().getURL() == null) {
-			System.out.println("** Working directory not set.");
+			System.out.println("** Working directory not set."); //$NON-NLS-1$
 			return IApplication.EXIT_OK;
 		}
 		
 		
 		// load JVM fonts in SWT env
-		if (System.getProperty("os.name").contains("Linux")) { // $NON-NLS-1$ $NON-NLS-2$
-			File javaFontsPath = new File(System.getProperty("java.home")
-					+ System.getProperty("file.separator") + "lib"
-					+ System.getProperty("file.separator") + "fonts"
-					+ System.getProperty("file.separator"));
+		if (System.getProperty("os.name").contains("Linux")) { // $NON-NLS-1$ $NON-NLS-2$ //$NON-NLS-1$ //$NON-NLS-2$
+			File javaFontsPath = new File(System.getProperty("java.home") //$NON-NLS-1$
+					+ System.getProperty("file.separator") + "lib" //$NON-NLS-1$ //$NON-NLS-2$
+					+ System.getProperty("file.separator") + "fonts" //$NON-NLS-1$ //$NON-NLS-2$
+					+ System.getProperty("file.separator")); //$NON-NLS-1$
 			
 			String[] fontFiles = javaFontsPath.list();
 			if (fontFiles != null) {
 				for (int i = 0; i < fontFiles.length; i++) {
 					if (fontFiles[i].endsWith(".ttf")) { //$NON-NLS-1$
 						File fontFile = new File(javaFontsPath, fontFiles[i]);
-						Log.finest("Loading Java font to SWT Device from file " + fontFile + "...");
+						Log.finest("Loading Java font to SWT Device from file " + fontFile + "..."); //$NON-NLS-1$ //$NON-NLS-2$
 						// Load the font in SWT
 						Display.getDefault().loadFont(fontFile.getAbsolutePath());
 					}
@@ -161,7 +161,7 @@
 			Toolbox.setPreference(TBXPreferences.LOG_STACKTRACE, true);
 		}
 		if (argsList.contains("-run")) { //$NON-NLS-1$
-			System.out.println("Running TXM");
+			System.out.println("Running TXM"); //$NON-NLS-1$
 			// FIXME: need to check that all has been well moved in Workspace class or build.properties
 			// } else if (argsList.contains("-standalone")) { //$NON-NLS-1$
 			// File userhomeDirectory = new File("workspace").getAbsoluteFile(); // eclipse default workspace directory
@@ -256,15 +256,15 @@
 			
 			// run the application mainloop
 			awa = new ApplicationWorkbenchAdvisor();
-			System.out.println("Running TXM workbench.");
+			System.out.println("Running TXM workbench."); //$NON-NLS-1$
 			int returnCode = PlatformUI.createAndRunWorkbench(display, awa);
 			
 			if (returnCode == PlatformUI.RETURN_RESTART) {
-				System.out.println("Restarting TXM.");
+				System.out.println("Restarting TXM."); //$NON-NLS-1$
 				return IApplication.EXIT_RESTART;
 			}
 			
-			System.out.println("Exiting TXM.");
+			System.out.println("Exiting TXM."); //$NON-NLS-1$
 			return IApplication.EXIT_OK;
 		}
 		finally {
@@ -278,15 +278,15 @@
 			
 			Version v = BundleUtils.getBundleVersion("org.txm.rcp");//$NON-NLS-1$
 			if (v == null) {
-				System.out.println("Error: no 'org.txm.rcp' version found.");
+				System.out.println("Error: no 'org.txm.rcp' version found."); //$NON-NLS-1$
 				return IApplication.EXIT_OK;
 			}
-			String version = v.getMajor() + "." + v.getMinor() + "." + v.getMicro();
+			String version = v.getMajor() + "." + v.getMinor() + "." + v.getMicro(); //$NON-NLS-1$ //$NON-NLS-2$
 			if (org.eclipse.core.runtime.Platform.inDevelopmentMode()) {
-				System.out.println("RUNNING TXM FROM ECLIPSE - DEV MODE ACTIVATED");
-				version += "-dev";
+				System.out.println("RUNNING TXM FROM ECLIPSE - DEV MODE ACTIVATED"); //$NON-NLS-1$
+				version += "-dev"; //$NON-NLS-1$
 			}
-			System.out.println("Version=" + version);
+			System.out.println("Version=" + version); //$NON-NLS-1$
 			
 			File txmhomedir = new File(System.getProperty("user.home"), "TXM-" + version); //$NON-NLS-1$ //$NON-NLS-2$
 			
@@ -295,7 +295,7 @@
 			// System.out.println("CGU="+ConfigurationScope.INSTANCE.getNode(IDEWorkbenchPlugin.IDE_WORKBENCH).getBoolean(RCPPreferences.CGU, false));
 			if (!ConfigurationScope.INSTANCE.getNode(IDEWorkbenchPlugin.IDE_WORKBENCH).getBoolean(RCPPreferences.CGU, false)) {
 				ChooseWorkspaceData launchData = new ChooseWorkspaceData(txmhomedir.getAbsolutePath());
-				System.out.println("Opening CGU dialog...");
+				System.out.println("Opening CGU dialog..."); //$NON-NLS-1$
 				CGUMessageDialog dialog = new CGUMessageDialog(Display.getCurrent().getActiveShell(), launchData) {
 				};
 				boolean ret = (dialog.open() == MessageDialog.OK) && dialog.hasCheckBeenPressed();
@@ -305,8 +305,8 @@
 					// check choosen path
 					String path = launchData.getSelection();
 					if (path != null) { // reset the letadata file
-						File metadataFile = new File(path, ".metadata");
-						File metadataFilePrevious = new File(path, ".metadata-previous");
+						File metadataFile = new File(path, ".metadata"); //$NON-NLS-1$
+						File metadataFilePrevious = new File(path, ".metadata-previous"); //$NON-NLS-1$
 						metadataFilePrevious.delete();
 						metadataFile.renameTo(metadataFilePrevious);
 					}
@@ -318,7 +318,7 @@
 					// validate Current as default Workspace, save configuration & history
 					
 					launchData.writePersistedData();
-					System.out.println("save workspace location: " + launchData.getSelection());
+					System.out.println("save workspace location: " + launchData.getSelection()); //$NON-NLS-1$
 					ChooseWorkspaceData.setShowDialogValue(false);
 					
 					Preferences node = ConfigurationScope.INSTANCE.getNode(IDEWorkbenchPlugin.IDE_WORKBENCH);
@@ -351,7 +351,7 @@
 			}
 		}
 		catch (Exception e) {
-			System.out.println("Error: can't open CGU dialog: " + e);
+			System.out.println("Error: can't open CGU dialog: " + e); //$NON-NLS-1$
 			e.printStackTrace();
 			return IApplication.EXIT_OK;
 		}
@@ -360,17 +360,17 @@
 	private Integer setInstanceLocation(ChooseWorkspaceData launchData) {
 		String selWS = launchData.getSelection();
 		if (selWS == null) {
-			System.out.println("** No workspace set in configuration scope.");
+			System.out.println("** No workspace set in configuration scope."); //$NON-NLS-1$
 			return IApplication.EXIT_OK;// user cancelled (no restart)
 		}
 		
 		// Switch workspace :
 		URL url = null;
 		try {
-			url = new URL("file", "", selWS);
+			url = new URL("file", "", selWS); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		catch (MalformedURLException e1) {
-			showWorkspaceError("Workspace path could not be found.");
+			showWorkspaceError("Workspace path could not be found."); //$NON-NLS-1$
 			return IApplication.EXIT_OK;
 		}
 		
@@ -380,7 +380,7 @@
 			}
 			
 			if (!Platform.getInstanceLocation().set(url, true)) {
-				showWorkspaceError("TXM is already running. Exiting...");
+				showWorkspaceError("TXM is already running. Exiting..."); //$NON-NLS-1$
 				ChooseWorkspaceData.setShowDialogValue(false);
 				return IApplication.EXIT_OK;
 			}
@@ -389,12 +389,12 @@
 			}
 		}
 		catch (IllegalStateException e) {
-			showWorkspaceError("Workspace is in an illegal state: " + e);
+			showWorkspaceError("Workspace is in an illegal state: " + e); //$NON-NLS-1$
 			ChooseWorkspaceData.setShowDialogValue(true);
 			return IApplication.EXIT_OK;
 		}
 		catch (IOException e) {
-			showWorkspaceError("Workspace could not be found on disk: " + e);
+			showWorkspaceError("Workspace could not be found on disk: " + e); //$NON-NLS-1$
 			ChooseWorkspaceData.setShowDialogValue(true);
 			return IApplication.EXIT_OK;
 		}
@@ -457,7 +457,7 @@
 	
 	private static void showWorkspaceError(String message) {
 		MessageBox messageBox = new MessageBox(new Shell(), SWT.DIALOG_TRIM | SWT.ERROR);
-		messageBox.setText("TXM starting error");
+		messageBox.setText(TXMUIMessages.TXTStartingError);
 		messageBox.setMessage(message);
 		messageBox.open();
 	}
@@ -476,7 +476,7 @@
 	 * Activates the proxy service and sets the network connection active provider as native.
 	 */
 	private void activateProxyService() {
-		String systemProxyHost = System.getProperty("http.proxyHost"); // must be called before IProxyService is used
+		String systemProxyHost = System.getProperty("http.proxyHost"); // must be called before IProxyService is used //$NON-NLS-1$
 		
 		Bundle bundle = Platform.getBundle("org.eclipse.ui.ide"); //$NON-NLS-1$
 		IProxyService proxyService = null;
@@ -492,7 +492,7 @@
 			// System.out.println("FIRST RUN TEST RESULT: "+ApplicationWorkbenchAdvisor.firstLaunchAfterInstallation());
 			// force active provider as "Manual" on Mac OS X
 			if (Util.isMac() && systemProxyHost != null && ApplicationWorkbenchAdvisor.testTXMHOMEPreferenceAndDirectory()) {
-				System.out.println("System proxy detected. Force network provider to manual with proxy_host=" + systemProxyHost);
+				System.out.println("System proxy detected. Force network provider to manual with proxy_host=" + systemProxyHost); //$NON-NLS-1$
 				proxyService.setProxiesEnabled(true);
 			}
 			
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/perspective/LabPerspective.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/perspective/LabPerspective.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/perspective/LabPerspective.java	(revision 3445)
@@ -46,7 +46,7 @@
  */
 public class LabPerspective implements IPerspectiveFactory {
 	
-	public final static String ID = "org.txm.rcp.perspective.LabPerspective";
+	public final static String ID = "org.txm.rcp.perspective.LabPerspective"; //$NON-NLS-1$
 	/* (non-Javadoc)
 	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
 	 */
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 3445)
@@ -47,7 +47,7 @@
 				
 				IProject rcpProject = ResourcesPlugin.getWorkspace().getRoot().getProject(name);
 				if (rcpProject.exists() && !rcpProject.isOpen()) {
-					rcpProject.open(new LogMonitor("Opening corpus for import"));
+					rcpProject.open(new LogMonitor("Opening corpus for import")); //$NON-NLS-1$
 				}
 				project = null;
 				
@@ -71,9 +71,9 @@
 				}
 				boolean newProject = (project == null);
 				if (newProject) { // it's a new project configuration
-					File settingsDirectory = new File(path, "parameters");
+					File settingsDirectory = new File(path, "parameters"); //$NON-NLS-1$
 					if (settingsDirectory.exists()) {
-						File settingsCopy = new File(Toolbox.workspace.getLocation(), name + "/.settings");
+						File settingsCopy = new File(Toolbox.workspace.getLocation(), name + "/.settings"); //$NON-NLS-1$
 						settingsCopy.getParentFile().mkdirs();
 						FileCopy.copyFiles(settingsDirectory, settingsCopy);
 					}
@@ -83,32 +83,32 @@
 						project = new Project(Toolbox.workspace, name);
 					}
 					project.setSourceDirectory(path.getAbsolutePath());
-					project.setDescription(NLS.bind("- imported by: {0}", System.getProperty("user.name")));
+					project.setDescription(NLS.bind(TXMUIMessages.DashImportedByP0, System.getProperty("user.name"))); //$NON-NLS-2$
 					project.setLang(Locale.getDefault().getLanguage().toLowerCase());
 					
-					project.getEditionDefinition("default").setEnableCollapsible(false);
-					project.getEditionDefinition("default").setPageBreakTag("pb");
-					project.getEditionDefinition("default").setPaginateEdition(true);
-					project.getEditionDefinition("default").setWordsPerPage(1000);
-					project.getEditionDefinition("default").setBuildEdition(true);
+					project.getEditionDefinition("default").setEnableCollapsible(false); //$NON-NLS-1$
+					project.getEditionDefinition("default").setPageBreakTag("pb"); //$NON-NLS-1$ //$NON-NLS-2$
+					project.getEditionDefinition("default").setPaginateEdition(true); //$NON-NLS-1$
+					project.getEditionDefinition("default").setWordsPerPage(1000); //$NON-NLS-1$
+					project.getEditionDefinition("default").setBuildEdition(true); //$NON-NLS-1$
 					
 					Log.info(NLS.bind(TXMUIMessages.theP0CorpusWillBeCreatedFromTheP1Directory, project.getName(), project.getSrcdir()));
 					
-					Engine e = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger");
+					Engine e = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger"); //$NON-NLS-1$
 					if (e != null) {
 						project.setAnnotate(e.isRunning());
 					}
 					
 					if (project.getAnnotate()) {
-						Log.info("The 'annotate' import parameter has been activated since TreeTagger is installed.");
+						Log.info(TXMUIMessages.TheAnnotateImportParameterHasBeenActivatedSinceTreeTaggerIsInstalled);
 					}
 					else {
-						Log.info("The 'annotate' import parameter was not activated since TreeTagger is not installed.");
+						Log.info(TXMUIMessages.TheAnnotateImportParameterWasNotActivatedSinceTreeTaggerIsNotInstalled);
 					}
 					
-					File importxml = new File(page1.getSourcePath(), "import.xml");
+					File importxml = new File(page1.getSourcePath(), "import.xml"); //$NON-NLS-1$
 					if (importxml.exists()) {
-						System.out.println("An import.xml import configuration file was found. Restoring import parameters using this file.");
+						System.out.println(TXMUIMessages.AnImportDotXMLImportConfigurationFileWasFoundRestoringImportParametersUsingThisfile);
 						BaseOldParameters params = new BaseOldParameters(importxml);
 						params.load();
 						params.initializeProject(project);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ProjectNamePage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ProjectNamePage.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ProjectNamePage.java	(revision 3445)
@@ -13,6 +13,7 @@
 import org.eclipse.swt.widgets.DirectoryDialog;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 
 public class ProjectNamePage extends WizardPage {
@@ -23,9 +24,9 @@
     private Composite container;
 
     public ProjectNamePage() {
-        super("Select source directory");
-        setTitle("Sources");
-        setDescription("The source directory contains the sources files read by the import module.");
+        super(TXMUIMessages.SelectTheSourceDirectory);
+        setTitle(TXMUIMessages.Sources);
+        setDescription(TXMUIMessages.TheSourceDirectoryContainsTheSourcesFilesReadByTheImportModule);
     }
 
     @Override
@@ -38,12 +39,12 @@
         GridData gd = new GridData(GridData.FILL_HORIZONTAL);
         
         Label label2 = new Label(container, SWT.NONE);
-        label2.setText("Source directory");
+        label2.setText(TXMUIMessages.SourceDirectory);
         
         sourceDirectory = new Text(container, SWT.BORDER | SWT.SINGLE);
-        final String lastSourcesLocation = RCPPreferences.getInstance().getString("lastSourcesLocation");
+        final String lastSourcesLocation = RCPPreferences.getInstance().getString("lastSourcesLocation"); //$NON-NLS-1$
         sourceDirectory.setText(lastSourcesLocation);
-        sourceDirectory.setToolTipText("The corpus source directory");
+        sourceDirectory.setToolTipText(TXMUIMessages.TheCorpusSourceDirectory);
         sourceDirectory.setLayoutData(gd);
         sourceDirectory.addModifyListener(new ModifyListener() {
 			@Override
@@ -53,22 +54,22 @@
 		});
         
         Button button = new Button(container, SWT.PUSH);
-        button.setText("...");
-        button.setToolTipText("click to select the corpus source directory");
+        button.setText("..."); //$NON-NLS-1$
+        button.setToolTipText(TXMUIMessages.ClickToSelectTheCorpusSourceDirectory);
         button.addSelectionListener(new SelectionListener() {
 			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				DirectoryDialog dialog = new DirectoryDialog(e.display.getActiveShell());
 				dialog.setFilterPath(getSourcePath());
-				dialog.setText("Source directory");
+				dialog.setText(TXMUIMessages.SourceDirectory);
 				if (getSourcePath().length() > 0) {
 					dialog.setFilterPath(getSourcePath());
 				}
 				String path = dialog.open();
 				if (path != null) {
 					sourceDirectory.setText(path);
-					RCPPreferences.getInstance().put("lastSourcesLocation", path);
+					RCPPreferences.getInstance().put("lastSourcesLocation", path); //$NON-NLS-1$
 					RCPPreferences.getInstance().flush();
 					setPageComplete(isCompleted());
 				}
Index: TXM/trunk/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 3444)
+++ TXM/trunk/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 3445)
@@ -101,6 +101,14 @@
 	
 	public static String binaryDirectoryP0NotFound;
 	
+	public static String CallingTheP0CommandWithTheP1Parameters;
+
+	public static String CannotCallATXMCommandWithoutIDParametersP0;
+
+	public static String CantNotifyOfP0TheP1Extension;
+
+	public static String CouldNotDeleteTheP0Result;
+
 	public static String cQiClientNotInitialized;
 	
 	public static String cantFindStructuralUnitForMetadataWithIdColon;
@@ -338,6 +346,14 @@
 	public static String updatingCorpus;
 	
 	public static String computingParentsOfP0;
+
+	public static String ErrorWhileComputingP1DbldotP1;
+
+	public static String FailedToCallTheP0HyperlinkedCommandWithP1AndTheP2Parameters;
+
+	public static String FailedToOpenTheP0Editor;
+
+	public static String P0DblDotP1;
 	
 	/**
 	 * Binds the given message's substitution locations with the given string values.
Index: TXM/trunk/org.txm.statsengine.core/src/org/txm/statsengine/core/messages/StatsEngineCoreMessages.java
===================================================================
--- TXM/trunk/org.txm.statsengine.core/src/org/txm/statsengine/core/messages/StatsEngineCoreMessages.java	(revision 3444)
+++ TXM/trunk/org.txm.statsengine.core/src/org/txm/statsengine/core/messages/StatsEngineCoreMessages.java	(revision 3445)
@@ -39,6 +39,10 @@
 
 	public static String cannotDeleteANonexistingObject; 
 
+	public static String CanNotExecuteTheP0CommandWithTheP1Selection;
+
+	public static String CorpusEngineIsNotReadyCancelingCommand;
+
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, StatsEngineCoreMessages.class);
